<?xml version="1.0" encoding="GB2312"?>
<MaintainConfig  Version="MaintainConfig_V1.2" Time="20180129">
    <TraceConfig>
        <Enable>1</Enable>
        <Snip>1</Snip>
        <MaxBufferSize>2097152</MaxBufferSize>
        <AfMaxCount>10</AfMaxCount>
        <FullDumpSize>4</FullDumpSize>
    </TraceConfig>
    <MonitorConfig Enable="1">
        <!-- "IPP_stat" buffer monitor will be disabled by code in commercial version to improve performance -->
        <Monitor Type="PP_foreground" WatchDog="1" Buffer="1"/>
        <Monitor Type="PP_background" WatchDog="1" Buffer="1"/>
        <Monitor Type="IPP_stat" WatchDog="1" Buffer="1"/>
        <Monitor Type="IPP_post" WatchDog="1" Buffer="1"/>
    </MonitorConfig>
    <BigDataConfig Enable="1">
        <Monitor Type="PP_foreground" BigData="1"/> <!-- "PP_foreground" means CAMERA_FRONT -->
        <Monitor Type="PP_background" BigData="0"/> <!-- "PP_background" means CAMERA_BACK -->
    </BigDataConfig>
    <WatchDogConfig>
        <LoopPeriodInMs>500</LoopPeriodInMs>
        <WatchDogItem>
            <!-- "IPP_process" will be disabled by code in commercial version to improve performance -->
            <Item Name="constructor" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="1000" DefaultRecoveryThreshold="10000">
            </Item>
            <Item Name="sos" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="1000" DefaultRecoveryThreshold="10000">
            <TimeOutThreshold AlgoName="SemanticsEngineProxy" Warn="1000" Error="5000" Recovery="10000" />
            <TimeOutThreshold AlgoName="refocusArcSoft" Warn="1000" Error="5000" Recovery="15000" />
            </Item>
            <Item Name="PP_process" Enable="1" DefaultWarnThreshold="1500" DefaultErrorThreshold="5000"  DefaultRecoveryThreshold="15000">
            <TimeOutThreshold AlgoName="AiRawV2PpAlgo" Warn="1500" Error="5000" Recovery="30000" />
            <TimeOutThreshold AlgoName="SthdrPpAlgo" Warn="1500" Error="5000" Recovery="30000" />
            <TimeOutThreshold AlgoName="refocusArcSoft" Warn="1500" Error="5000" Recovery="30000" />
            <TimeOutThreshold AlgoName="StmFaceSr" Warn="1500" Error="5000" Recovery="25000" />
            </Item>
            <Item Name="IPP_process" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="500"  DefaultRecoveryThreshold="10000">
            </Item>
            <Item Name="eos" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="1000"  DefaultRecoveryThreshold="10000">
            </Item>
            <Item Name="cameraclose" Enable="1" DefaultWarnThreshold="400" DefaultErrorThreshold="1000"  DefaultRecoveryThreshold="10000">
            </Item>
            <Item Name="snapshot_pp" Enable="1" DefaultWarnThreshold="1000" DefaultErrorThreshold="3000"  DefaultRecoveryThreshold="20000">
                <TimeOutThreshold AlgoName="pro_camera" Warn="35000" Error="40000" Recovery="80000" />
                <TimeOutThreshold AlgoName="supernightshot" Warn="3000" Error="6000" Recovery="25000"/>
                <TimeOutThreshold AlgoName="arcsoftHdrBokehSnapshot" Warn="1000" Error="3000" Recovery="25000" />
                <TimeOutThreshold AlgoName="frontRawhdrAnc" Warn="1000" Error="3000" Recovery="30000" />
                <TimeOutThreshold AlgoName="arcsoftLowLightBokehSnapshot" Warn="3000" Error="6000" Recovery="25000" />
                <TimeOutThreshold AlgoName="frontNightRawhdrAnc" Warn="3000" Error="6000" Recovery="25000" />
                <TimeOutThreshold AlgoName="darkvisionshot" Warn="3000" Error="6000" Recovery="30000" />
                <TimeOutThreshold AlgoName="aiRawHdrp" Warn="3000" Error="6000" Recovery="30000" />
            </Item>
            <Item Name="snapshot_fp" Enable="1" DefaultWarnThreshold="1000" DefaultErrorThreshold="3000"  DefaultRecoveryThreshold="20000">
                <TimeOutThreshold AlgoName="pro_camera" Warn="35000" Error="40000" Recovery="80000" />
                <TimeOutThreshold AlgoName="supernightshot" Warn="3000" Error="6000" Recovery="25000"/>
                <TimeOutThreshold AlgoName="arcsoftHdrBokehSnapshot" Warn="1000" Error="3000" Recovery="25000" />
                <TimeOutThreshold AlgoName="frontRawhdrAnc" Warn="1000" Error="3000" Recovery="30000" />
                <TimeOutThreshold AlgoName="arcsoftLowLightBokehSnapshot" Warn="3000" Error="6000" Recovery="25000" />
                <TimeOutThreshold AlgoName="frontNightRawhdrAnc" Warn="3000" Error="6000" Recovery="25000" />
                <TimeOutThreshold AlgoName="darkvisionshot" Warn="3000" Error="6000" Recovery="30000" />
                <TimeOutThreshold AlgoName="aiRawHdrp" Warn="3000" Error="6000" Recovery="30000" />
            </Item>
            <Item Name="flush" Enable="1" DefaultWarnThreshold="5000" DefaultErrorThreshold="5000"  DefaultRecoveryThreshold="10000">
            </Item>
            <Item Name="stop" Enable="1" DefaultWarnThreshold="5000" DefaultErrorThreshold="5000"  DefaultRecoveryThreshold="10000">
            </Item>
            <Item Name="SessionUninit" Enable="1" DefaultWarnThreshold="5000" DefaultErrorThreshold="5000"  DefaultRecoveryThreshold="10000">
            </Item>
            <Item Name="ConfigStream" Enable="1" DefaultWarnThreshold="5000" DefaultErrorThreshold="5000"  DefaultRecoveryThreshold="10000">
            </Item>
        </WatchDogItem>
    </WatchDogConfig>
    <BufferMonitorConfig>
        <DefaultIppCountThreshold>50</DefaultIppCountThreshold>
        <IppCountThreshold>
            <Threshold Name="SceneDetection" ThresholdCount="150"/>
            <Threshold Name="VidHanceGPU" ThresholdCount="70"/>
            <Threshold Name="HwVideoStabGPU" ThresholdCount="70"/>
        </IppCountThreshold>
    </BufferMonitorConfig>
    <BigDataStatistic>
        <Item name="TeleStatistic" Enable="1" CommercialReport="0" /> <!-- 918009002 -->
        <Item name="HdrpStatistic" Enable="1" CommercialReport="0" /> <!-- 918009003 -->
    </BigDataStatistic>
    <BootConfig>
        <ScanApp>
            <AppPackageName>com.eg.android.AlipayGphone</AppPackageName>
            <AppPackageName>com.sankuai.meituan</AppPackageName>
            <AppPackageName>com.tencent.mm</AppPackageName>
            <AppPackageName>tv.danmaku.bili</AppPackageName>
        </ScanApp>
        <FaceUnlockApp>
            <AppPackageName>com.hihonor.securityserver</AppPackageName>
        </FaceUnlockApp>
        <CameraModeApp>
            <AppPackageName>com.hihonor.camera</AppPackageName>
        </CameraModeApp>
        <BootItem>
            <Item Name="ScanApp"  DefaultErrorThreshold="1800" DefaultFirstFrame2ScanClose="5000">
               <TimeOutThreshold AppPackageName="com.eg.android.AlipayGphone" Error="1500" />
               <TimeOutThreshold AppPackageName="com.sankuai.meituan" Error="1500" />
               <TimeOutThreshold AppPackageName="com.tencent.mm" Error="1500" />
               <TimeOutThreshold AppPackageName="tv.danmaku.bili" Error="1800" />
            </Item>
            <Item Name="FaceUnlockApp" DefaultErrorThreshold="10000">
               <TimeOutThreshold AppPackageName="com.hihonor.securityserver" Error="10000" />
            </Item>
            <Item Name="CameraModeApp" DefaultErrorThreshold="1800">
                <TimeOutThreshold AppPackageName="com.hihonor.camera"  Error="1800" />
            </Item>
        </BootItem>
    </BootConfig>
</MaintainConfig>
